> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/faq/reference/endpoints/list-categories.md).

# List Categories

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

{% hint style="info" %}
This endpoint supports localization. Check [this page](/docs/apis/faq/localization.md) to learn more
{% endhint %}

Get a list of categories that have topics.

#### Request

```
GET faq/{faqName}/categories
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="109">Type</th><th width="111">Required</th><th>Comments</th></tr></thead><tbody><tr><td>faqName</td><td>string</td><td>yes</td><td>The name of the FAQ instance for the request</td></tr></tbody></table>

#### Response

```json
{
    "data": [
        {
            "activeTopicCount": 3,
            "creationTime": "2023-12-19T19:27:42.1780509+00:00",
            "creatorId": "dd5a1046-98c7-4e12-9bc4-1c5aa35cf403",
            "description": "Explore our exquisite collection and learn about our jewelry materials, designs, and craftsmanship to help you make informed purchasing decisions.",
            "id": 450,
            "imageLink": null,
            "isPublished": true,
            "isSticky": false,
            "lastUpdateTime": "2023-12-19T14:27:42.1780509+00:00",
            "publishedTopicCount": 2,
            "title": "Product Information",
            "totalUsefulness": 1,
            "viewCount": 4
        },
        {
            "activeTopicCount": 3,
            "creationTime": "2023-12-19T18:27:50.8519959+00:00",
            "creatorId": "dd5a1046-98c7-4e12-9bc4-1c5aa35cf403",
            "description": "Understand our ordering process, shipping options, customization services, repair, appraisals, and other services we offer to ensure a seamless shopping experience.",
            "id": 451,
            "imageLink": null,
            "isPublished": true,
            "isSticky": false,
            "lastUpdateTime": "2023-12-19T14:27:50.8519959+00:00",
            "publishedTopicCount": 0,
            "title": "Ordering & Services",
            "totalUsefulness": 0,
            "viewCount": 0
        },
        {
            "activeTopicCount": 1,
            "creationTime": "2023-12-19T18:28:09.6997514+00:00",
            "creatorId": "dd5a1046-98c7-4e12-9bc4-1c5aa35cf403",
            "description": "Learn about our payment methods, return policies, store locations, and how to contact our dedicated customer support team for any inquiries or assistance",
            "id": 452,
            "imageLink": null,
            "isPublished": true,
            "isSticky": false,
            "lastUpdateTime": "2023-12-19T14:28:09.6997514+00:00",
            "publishedTopicCount": 0,
            "title": "Policies & Support",
            "totalUsefulness": 0,
            "viewCount": 0
        }
    ],
    "errorCode": -1,
    "errorText": null
}
```

`Data` field will contain an array of [Category](/docs/apis/faq/reference/objects/category.md) objects.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/faq/reference/endpoints/list-categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
